Subject: [bug#45050] [PATCH] gnu: Update emacs-guix to temporary repository.

From: John Soo <[email-masked]>
Date: Fri, 11 Dec 2020 12:27:51 -0800

Hello!

Ludovic Courtès <[email-masked]> writes:

>> * gnu/packages/emacs-xyz.scm (emacs-guix): Update it, [inputs] Use guile for
>> guix.
>
> If it fixes one of the bugs in the tracker, we can mention it in the
> commit log with “Fixes <https://bugs.gnu.org/XYZ>.”

Alright, done.

>>  (define-public emacs-guix
>> -  (let ((commit "58a840d0671091e3064e36244790ef8839da87d6")
>> -        (revision "2"))
>> +  (let* ((commit "a694fdbcedb6edd2239a31d326e475c763ee32f8")
>> +         (revision "1"))
>
> Please increment the revision number rather than decrement it.

Ah yes, sorry I thought it would be the "revision at commit". I bumped
it to rev 3.

>>      (package
>> -      (name "emacs-guix")
>> -      (version (git-version "0.5.2" revision commit))
>
> Please don’t reindent, the original formatting was fine.  :-)

Oh oops, sorry. I think I forgot to reindent after a previous revision.

> I guess it’s fine to use your repo until we hear from Alex Kost.

Hopefully soon :)

Thanks for your review,

John

>From 4fd99ba6fa6ef61e1077f1fcad6b5d56bbbbf69a Mon Sep 17 00:00:00 2001
From: John Soo <[email-masked]>
Date: Thu, 12 Nov 2020 23:04:27 -0800
Subject: [PATCH] gnu: Update emacs-guix.

* gnu/packages/emacs-xyz.scm (emacs-guix): Update it, [inputs] Use guile for
guix.
* Fixes https://bugs.gnu.org/44062
---
 gnu/packages/emacs-xyz.scm | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index ceb99f402d..5798af80d6 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -2795,20 +2795,21 @@ type, for example: packages, buffers, files, etc.")
     (license license:gpl3+)))
 
 (define-public emacs-guix
-  (let ((commit "58a840d0671091e3064e36244790ef8839da87d6")
-        (revision "2"))
+  (let* ((commit "a694fdbcedb6edd2239a31d326e475c763ee32f8")
+         (revision "3"))
     (package
       (name "emacs-guix")
       (version (git-version "0.5.2" revision commit))
       (source (origin
                 (method git-fetch)
                 (uri (git-reference
-                      (url "https://gitlab.com/emacs-guix/emacs-guix")
+                      ;; TODO: Use the official version when it has a new home
+                      (url "https://github.com/jsoo1/guix.el")
                       (commit commit)))
                 (file-name (git-file-name name version))
                 (sha256
                  (base32
-                  "1qnr5sixmvrhr9rinrhfy7sy20mikjvvwbdixwkbx30qpcdwgwj1"))))
+                  "1pqw7zbgxzwpig4xr0izc3z8h80c72i6bl5yi12br0d7aq6dbkvj"))))
       (build-system gnu-build-system)
       (native-inputs
        `(("autoconf" ,autoconf)
@@ -2817,7 +2818,8 @@ type, for example: packages, buffers, files, etc.")
          ("texinfo" ,texinfo)
          ("emacs" ,emacs-minimal)))
       (inputs
-       `(("guile" ,@(assoc-ref (package-native-inputs guix) "guile"))
+       `(("guile"
+          ,@(assoc-ref (package-native-inputs guix) "guile"))
          ("guix" ,guix)))
       (propagated-inputs
        `(("geiser" ,emacs-geiser)
-- 
2.29.2